Bug 25097 - Add option to message_queue to allow for only specific sending notices
Summary: Add option to message_queue to allow for only specific sending notices
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-09 14:45 UTC by Joy Nelson
Modified: 2020-07-16 03:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 25097: Add option to message_queue to allow for only specific sending notices (2.67 KB, patch)
2020-04-09 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25097: Add option to message_queue to allow for only specific sending notices (2.72 KB, patch)
2020-04-09 15:52 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25097: Add option to message_queue to allow for only specific sending notices (2.74 KB, patch)
2020-06-19 14:48 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2020-04-09 14:45:41 UTC
The message_queue.pl currently will send all the messages queued up.  It would be nice to have some control over which messages are to be sent.  

Example: We have libraries who only wanted to send 'hold notices' but not overdue, advance notice, etc during the covid-19 quarantine.  And some that were the opposite - turn off hold notices, but send other generated notices.
Comment 1 Kyle M Hall 2020-04-09 15:27:58 UTC
Created attachment 102646 [details] [review]
Bug 25097: Add option to message_queue to allow for only specific sending notices

The message_queue.pl currently will send all the messages queued up.  It would be nice to have some control over which messages are to be sent.

Example: We have libraries who only wanted to send 'hold notices' but not overdue, advance notice, etc during the covid-19 quarantine.  And some that were the opposite - turn off hold notices, but send other generated notices.

Test Plan:
1) Apply this patch
2) Enqueue some messages with different letter codes
3) Run process_message_queue.pl with the new -c parameter using one of the letter codes enqueued
4) Note that only the messages with the selected code were processed!
Comment 2 Andrew Fuerste-Henry 2020-04-09 15:52:48 UTC
Created attachment 102649 [details] [review]
Bug 25097: Add option to message_queue to allow for only specific sending notices

The message_queue.pl currently will send all the messages queued up.  It would be nice to have some control over which messages are to be sent.

Example: We have libraries who only wanted to send 'hold notices' but not overdue, advance notice, etc during the covid-19 quarantine.  And some that were the opposite - turn off hold notices, but send other generated notices.

Test Plan:
1) Apply this patch
2) Enqueue some messages with different letter codes
3) Run process_message_queue.pl with the new -c parameter using one of the letter codes enqueued
4) Note that only the messages with the selected code were processed!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Alex Arnaud 2020-06-19 14:48:14 UTC
Created attachment 106101 [details] [review]
Bug 25097: Add option to message_queue to allow for only specific sending notices

The message_queue.pl currently will send all the messages queued up.  It would be nice to have some control over which messages are to be sent.

Example: We have libraries who only wanted to send 'hold notices' but not overdue, advance notice, etc during the covid-19 quarantine.  And some that were the opposite - turn off hold notices, but send other generated notices.

Test Plan:
1) Apply this patch
2) Enqueue some messages with different letter codes
3) Run process_message_queue.pl with the new -c parameter using one of the letter codes enqueued
4) Note that only the messages with the selected code were processed!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Jonathan Druart 2020-06-24 13:31:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-13 14:34:32 UTC
backported to 20.05.x for 20.05.02
Comment 6 Aleisha Amohia 2020-07-16 03:55:37 UTC
enhancement, not backported to 19.11.x